Bug 107103 - 'watch' utility processes arguments incorrectly
Summary: 'watch' utility processes arguments incorrectly
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: procps   
(Show other bugs)
Version: 1
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-10-15 00:55 UTC by Pat Gunn
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-11 13:45:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Pat Gunn 2003-10-15 00:55:34 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1) Gecko/20031013

Description of problem:
The 'watch' utility doesn't parse its arguments correctly.
According to the manpage:
       Note  that  POSIX  option  processing  is used (i.e., option processing
       stops at the first non-option argument).  This means that  flags  after
       command don't get interpreted by watch itself.

However,
morose:~$ watch ls -l
watch: invalid option -- l
....
morose:~$


Version-Release number of selected component (if applicable):
procutils-2.0.17

How reproducible:
Always

Steps to Reproduce:
1. Run watch with above arguments
2. Get frustrated
3. Use quotes to work around the bug
    

Additional info:

Comment 1 Andrew Gaul 2004-01-15 03:53:51 UTC
Also, --version returns the help string instead of the version.  Both
appear to be fixed in procps 3.1.15; FC1 uses 2.0.17.

Comment 2 Alexander Larsson 2004-02-05 10:44:25 UTC
Mass reassign to new owner

Comment 3 Daniel Walsh 2004-02-11 13:45:47 UTC
Fixed in 3.1.15


Note You need to log in before you can comment on or make changes to this bug.